From: Alasdair G Kergon <agk@redhat.com>

Fix the use of export.h and module.h in new thin provisioning code.

Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-bufio.c                               |    1 +
 drivers/md/persistent-data/dm-btree-remove.c        |    2 +-
 drivers/md/persistent-data/dm-btree.c               |    2 +-
 drivers/md/persistent-data/dm-space-map-checker.c   |    1 +
 drivers/md/persistent-data/dm-space-map-disk.c      |    2 +-
 drivers/md/persistent-data/dm-transaction-manager.c |    2 +-
 6 files changed, 6 insertions(+), 4 deletions(-)

Index: linux-3.1/drivers/md/dm-bufio.c
===================================================================
--- linux-3.1.orig/drivers/md/dm-bufio.c
+++ linux-3.1/drivers/md/dm-bufio.c
@@ -10,6 +10,7 @@
 
 #include <linux/device-mapper.h>
 #include <linux/dm-io.h>
+#include <linux/module.h>
 #include <linux/slab.h>
 #include <linux/vmalloc.h>
 #include <linux/version.h>
Index: linux-3.1/drivers/md/persistent-data/dm-btree-remove.c
===================================================================
--- linux-3.1.orig/drivers/md/persistent-data/dm-btree-remove.c
+++ linux-3.1/drivers/md/persistent-data/dm-btree-remove.c
@@ -8,7 +8,7 @@
 #include "dm-btree-internal.h"
 #include "dm-transaction-manager.h"
 
-#include <linux/module.h>
+#include <linux/export.h>
 
 /*
  * Removing an entry from a btree
Index: linux-3.1/drivers/md/persistent-data/dm-btree.c
===================================================================
--- linux-3.1.orig/drivers/md/persistent-data/dm-btree.c
+++ linux-3.1/drivers/md/persistent-data/dm-btree.c
@@ -8,7 +8,7 @@
 #include "dm-space-map.h"
 #include "dm-transaction-manager.h"
 
-#include <linux/module.h>
+#include <linux/export.h>
 #include <linux/device-mapper.h>
 
 #define DM_MSG_PREFIX "btree"
Index: linux-3.1/drivers/md/persistent-data/dm-space-map-checker.c
===================================================================
--- linux-3.1.orig/drivers/md/persistent-data/dm-space-map-checker.c
+++ linux-3.1/drivers/md/persistent-data/dm-space-map-checker.c
@@ -6,6 +6,7 @@
 
 #include "dm-space-map-checker.h"
 
+#include <linux/export.h>
 #include <linux/device-mapper.h>
 
 #ifdef CONFIG_DM_DEBUG_SPACE_MAPS
Index: linux-3.1/drivers/md/persistent-data/dm-space-map-disk.c
===================================================================
--- linux-3.1.orig/drivers/md/persistent-data/dm-space-map-disk.c
+++ linux-3.1/drivers/md/persistent-data/dm-space-map-disk.c
@@ -12,7 +12,7 @@
 
 #include <linux/list.h>
 #include <linux/slab.h>
-#include <linux/module.h>
+#include <linux/export.h>
 #include <linux/device-mapper.h>
 
 #define DM_MSG_PREFIX "space map disk"
Index: linux-3.1/drivers/md/persistent-data/dm-transaction-manager.c
===================================================================
--- linux-3.1.orig/drivers/md/persistent-data/dm-transaction-manager.c
+++ linux-3.1/drivers/md/persistent-data/dm-transaction-manager.c
@@ -10,7 +10,7 @@
 #include "dm-space-map-metadata.h"
 #include "dm-persistent-data-internal.h"
 
-#include <linux/module.h>
+#include <linux/export.h>
 #include <linux/slab.h>
 #include <linux/device-mapper.h>
 
